# Create Merchant onboarding Invitation

"This operation creates the partner onboarding email invitation. These are the requirements to create this request:
- **Email Address:** Email ID of the developer partner. Only one request can be generated per email address.
- **Request Expiration Days:** User needs to specifies how long the onboarding invitation is valid. Once the invitation expires, a new invitation request can be generated on the same email address."

Endpoint: POST /api/v1/invitation
Version: 1.0.0
Security: bearerAuth

## Security:

  - `bearerAuth` (unknown)
    http bearer

## Request body:

  - `application/json` (unknown)
    This creates onboarding email invitation.

## Request fields (application/json):

  - `partnerEmailId` (string, required)
    Developer partner email ID on which onboarding invitation will be sent.
    Example: NS05_merchant@yopmail.com

  - `expirationDays` (number, required)
    Number of days after which the onboarding invitation expires.
    Example: 10

## Response 200:

  - `200` (unknown)
    The onboarding invitation has been created successfully.

## Response 200 fields (application/json):

  - `invitationId` (string)
    This is a Unique invitation ID against the developer who is inviting partner for onboarding.
    Example: xqlNEXQPL0mEod4

  - `developerId` (string)
    This is Developer subscription ID.
    Example: sacd74e

  - `email` (string)
    This is developer Partner email ID on which onboarding invitation has been sent.
    Example: NS05_merchant@yopmail.com

  - `status` (string)
    This is current status of the onboarding invitation request.
    Example: Invited

  - `invitationType` (string)
    This is the type of the invitation.
    Example: ONBOARD_REQUEST

  - `createdBy` (string)
    This is the client ID of the developer who has created the invitation.
    Example: 0oa20m6vx3wAZW7FQ0h8

  - `provisioningRequestID` (string)
    This is provisioning request ID.
    Example: null

  - `archived` (boolean)
    Whether the invitation is archived.
    Example: false

  - `link` (string)
    This is the link to the onboarding invitation for the developer partner.
    Example: https://api-sandbox.sendpro360.pitneybowes.com/merchant-signup?invitationId4&invitationType=ONBOARD_REQUEST

  - `insertTimestamp` (string)
    Timestamp information about when the invitation was created.
    Example: 2024-09-15T12:40:24.256521003Z

  - `updateTimestamp` (string)
    Timestamp information about when the invitation was last updated.
    Example: 0001-01-01T00:00:00Z

  - `expirationDate` (string)
    The date when the onboarding invitation expires. Once this date is reached, the invitation becomes invalid.
    Example: 2024-09-25T12:40:24.254719091Z

## Response 400:

  - `400` (unknown)
    Invalid or Bad Request

## Response 400 fields (application/json):

  - `message` (string, required)
    Error message explaining the issue.

## Response 401:

  - `401` (unknown)
    Unauthorized Error

## Response 401 fields (application/json):

  - `message` (string, required)
    Error message explaining the issue.

## Response 404:

  - `404` (unknown)
    Invitation already exists for this emailId.

## Response 404 fields (application/json):

  - `message` (string, required)
    Error message explaining the issue.

## Response 500:

  - `500` (unknown)
    Internal Server Error

## Response 500 fields (application/json):

  - `message` (string, required)
    Error message explaining the issue.

